Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2253643002: [DevTools] Copy objects from debugger context to inspected context properly. (Closed)

Created:
2 years, 9 months ago by dgozman
Modified:
2 years, 9 months ago
Reviewers:
kozy, pfeldman
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, kozyatinskiy+blink_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[DevTools] Copy objects from debugger context to inspected context properly. BUG=637594 Committed: https://crrev.com/93bc623489bdcfc7e9127614fcfb3258edf3f0f9 Cr-Commit-Position: refs/heads/master@{#412436}

Patch Set 1 #

Total comments: 6

Patch Set 2 : adapt #

Total comments: 3

Patch Set 3 : copier #

Patch Set 4 : copier #

Unified diffs Side-by-side diffs Delta from patch set Stats (+140 lines, -27 lines) Patch
M third_party/WebKit/Source/platform/blink_platform.gypi View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp View 1 3 chunks +4 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/v8_inspector/V8Debugger.h View 1 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/v8_inspector/V8Debugger.cpp View 1 2 8 chunks +22 lines, -22 lines 0 comments Download
M third_party/WebKit/Source/platform/v8_inspector/V8InjectedScriptHost.cpp View 1 1 chunk +2 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/platform/v8_inspector/V8ValueCopier.h View 1 2 1 chunk +16 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/platform/v8_inspector/V8ValueCopier.cpp View 1 2 3 1 chunk +90 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/v8_inspector/v8_inspector.gyp View 1 2 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 20 (11 generated)
dgozman
Take a look please.
2 years, 9 months ago (2016-08-16 16:56:28 UTC) #4
pfeldman
https://codereview.chromium.org/2253643002/diff/1/third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp File third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp (right): https://codereview.chromium.org/2253643002/diff/1/third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp#newcode662 third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp:662: bool success = console->SetPrototype(context, v8::Object::New(isolate)).FromMaybe(false); You want 'null', not ...
2 years, 9 months ago (2016-08-16 17:07:36 UTC) #7
dgozman
PTAL at new verison https://codereview.chromium.org/2253643002/diff/1/third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp File third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp (right): https://codereview.chromium.org/2253643002/diff/1/third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp#newcode662 third_party/WebKit/Source/platform/v8_inspector/V8Console.cpp:662: bool success = console->SetPrototype(context, v8::Object::New(isolate)).FromMaybe(false); ...
2 years, 9 months ago (2016-08-17 00:58:32 UTC) #9
pfeldman
lgtm https://codereview.chromium.org/2253643002/diff/20001/third_party/WebKit/Source/platform/v8_inspector/DebuggerContextAdapter.cpp File third_party/WebKit/Source/platform/v8_inspector/DebuggerContextAdapter.cpp (right): https://codereview.chromium.org/2253643002/diff/20001/third_party/WebKit/Source/platform/v8_inspector/DebuggerContextAdapter.cpp#newcode80 third_party/WebKit/Source/platform/v8_inspector/DebuggerContextAdapter.cpp:80: v8::MaybeLocal<v8::Value> adaptValueFromDebuggerContext(v8::Isolate* isolate, v8::Local<v8::Context> debuggerContext, v8::Local<v8::Context> toContext, v8::Local<v8::Value> ...
2 years, 9 months ago (2016-08-17 01:33:28 UTC) #10
dgozman
https://codereview.chromium.org/2253643002/diff/20001/third_party/WebKit/Source/platform/v8_inspector/DebuggerContextAdapter.cpp File third_party/WebKit/Source/platform/v8_inspector/DebuggerContextAdapter.cpp (right): https://codereview.chromium.org/2253643002/diff/20001/third_party/WebKit/Source/platform/v8_inspector/DebuggerContextAdapter.cpp#newcode80 third_party/WebKit/Source/platform/v8_inspector/DebuggerContextAdapter.cpp:80: v8::MaybeLocal<v8::Value> adaptValueFromDebuggerContext(v8::Isolate* isolate, v8::Local<v8::Context> debuggerContext, v8::Local<v8::Context> toContext, v8::Local<v8::Value> value) ...
2 years, 9 months ago (2016-08-17 01:49:09 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2253643002/60001
2 years, 9 months ago (2016-08-17 01:49:37 UTC) #15
commit-bot: I haz the power
Committed patchset #4 (id:60001)
2 years, 9 months ago (2016-08-17 03:03:14 UTC) #17
commit-bot: I haz the power
Patchset 4 (id:??) landed as https://crrev.com/93bc623489bdcfc7e9127614fcfb3258edf3f0f9 Cr-Commit-Position: refs/heads/master@{#412436}
2 years, 9 months ago (2016-08-17 03:06:14 UTC) #19
kozy
2 years, 9 months ago (2016-08-23 01:46:34 UTC) #20
Message was sent while issue was closed.
lgtm

Powered by Google App Engine
This is Rietveld 408576698